Skip to navigation

Get a drain

Beta
View as Markdown

Get a drain with its delivery status: last delivery, last error and the Events and bytes sent.

Authentication

AuthorizationBearer

Use Bearer <api-key>.

Path parameters

drainIdstringRequired

Headers

BCTRL-VersionenumOptional
Dated API version. Defaults to the release pinned when the API key was created.
Allowed values:
BCTRL-SpacestringOptional
Select one authorized Space by its opaque ID or unique name. Omission uses the operation default.
BCTRL-Subaccount-IdstringOptional
Optional effective subaccount context for organization API keys. Subaccount API keys are already scoped and cannot use this header to act as another subaccount.

Response headers

BCTRL-Request-IdstringOptional
Current request identifier, also echoed in errors.
BCTRL-VersionstringOptional
Negotiated dated API version.
RateLimit-Limitinteger

Evaluated policy limit; zero when no finite policy was evaluated.

RateLimit-Remaininginteger

Remaining policy budget; zero when no finite policy was evaluated.

RateLimit-Resetinteger

Seconds until reset; zero when no finite policy was evaluated.

Response

OK
categorieslist of enums
createdAtdatetime
RFC 3339 timestamp with a UTC offset.
destinationobject
enabledboolean
idstring
Unique drain identifier generated by BCTRL.
namestring or null1-80 characters
object"drain"
statusobject
subaccountIdstring or null
updatedAtdatetime
RFC 3339 timestamp with a UTC offset.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error